<?php
require_once('../connect/connect.php');
include_once('../lib/lib.php');

$error = "";
$msg = "";

$id=intval($_GET['id']);
$pass=_pre($_GET['pass']);

$r=mysql_query("SELECT id FROM board WHERE id='".$id."' AND pass='".$pass."'");
$nr=mysql_num_rows($r);

if($nr)
	{
	$r=mysql_query("SELECT id_foto FROM foto WHERE id='".$id."'");
	$rk=mysql_num_rows($r);
	
	if($rk<$rru['limit_foto'])
		{
		if ($_FILES['foto']['tmp_name'])
  			{
			$ext = type_img($_FILES['foto']['type']);
  			if ($ext != ".jpg" && $ext != ".png" && $ext != ".gif") 
  			$err = "Недопустимый фрмат файла. Допускаются только файлы JPEG, PNG, GIF";
			$siz = $_FILES['foto']['size'];
			$size = number_format(($siz/1024),1,".","");
			if ($siz > 3*1024*1024) $err = "Максимальный размер фото не должен превышать 3 Мб";
	
			if(!$err)
				{
				$cou=$rk+1;
				
				mysql_query("INSERT INTO foto (id) VALUES ('".$id."')");                    
				$id_foto=mysql_insert_id();
						
				$pap=$id_foto%100; 
				if(!$pap) $pap=100;
						
				$big = "foto/".$pap."/".$id_foto."b.jpg";
  				$small = "foto/".$pap."/".$id_foto."s.jpg";
						
				mysql_query("UPDATE foto SET papka='".$pap."' WHERE id_foto='".$id_foto."'"); 
				
				$z=0;
			
				if($rru['vod_typ'] && $rru['vod_text'])
					{
					$vod_typ=$rru['vod_typ']; 
					$vod_text=$rru['vod_text'];
					$lok='../blok/arialbi.ttf';
					}
				else
					{
					$vod_typ=0; 
					$vod_text='';
					$lok='';
					}
					
				if (!smalling ($_FILES['foto']['tmp_name'], "../".$big, $rru['r_foto_normal'], $rru['r_normal'], $ext, $vod_typ, $vod_text, $lok, $rru['vod_koef'])) $z=1; 
				if (!smalling ($_FILES['foto']['tmp_name'], "../".$small, $rru['r_foto_mini'], $rru['r_mini'], $ext)) $z=1; 

				if($z)
					{
					if(file_exists("../".$big) && is_file("../".$big)) unlink("../".$big);
					if(file_exists("../".$small) && is_file("../".$small)) unlink("../".$small);
					mysql_query("DELETE FROM foto WHERE id_foto='".$id_foto."'"); 
					$err = 'Не удалось загрузить фото';
					}
				else
					{
					if($cou==1)
					mysql_query("UPDATE board SET small='".$small."' WHERE id='".$id."'"); 
					mysql_query("UPDATE board SET kol_foto='".$cou."' WHERE id='".$id."'"); 
					}
				}  
			} 
		} 
	} 
	
	echo "{";
	echo				"error: '" . $err . "',\n";
	echo				"msg: '" . $msg . "'\n";
	echo "}";
?>